-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 19, 2024 at 02:43 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_soil_analysis_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_analysis_result`
--

CREATE TABLE `tbl_analysis_result` (
  `analysis_result_id` int(11) NOT NULL,
  `sample_id` int(11) DEFAULT NULL,
  `test_parameter_id` int(11) DEFAULT NULL,
  `result` varchar(255) NOT NULL,
  `remarks` text DEFAULT NULL,
  `report_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_lab`
--

CREATE TABLE `tbl_lab` (
  `lab_id` int(11) NOT NULL,
  `lab_name` varchar(100) NOT NULL,
  `lab_address` varchar(255) DEFAULT NULL,
  `lab_contact` varchar(50) DEFAULT NULL,
  `lab_email` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_report`
--

CREATE TABLE `tbl_report` (
  `report_id` int(11) NOT NULL,
  `report_date` date NOT NULL,
  `lab_id` int(11) DEFAULT NULL,
  `lab_analyst` varchar(100) DEFAULT NULL,
  `summary` text DEFAULT NULL,
  `upload_pdf` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_sample`
--

CREATE TABLE `tbl_sample` (
  `sample_id` int(11) NOT NULL,
  `sample_code` varchar(50) NOT NULL,
  `location` varchar(255) NOT NULL,
  `date_collected` date NOT NULL,
  `soil_type_id` int(11) DEFAULT NULL,
  `collected_by` varchar(100) DEFAULT NULL,
  `purpose_of_analysis` text DEFAULT NULL,
  `remarks` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_soil_type`
--

CREATE TABLE `tbl_soil_type` (
  `soil_type_id` int(11) NOT NULL,
  `soil_type_name` varchar(100) NOT NULL,
  `description` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_test_parameter`
--

CREATE TABLE `tbl_test_parameter` (
  `test_parameter_id` int(11) NOT NULL,
  `test_parameter_name` varchar(100) NOT NULL,
  `test_parameter_description` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_analysis_result`
--
ALTER TABLE `tbl_analysis_result`
  ADD PRIMARY KEY (`analysis_result_id`),
  ADD KEY `sample_id` (`sample_id`),
  ADD KEY `test_parameter_id` (`test_parameter_id`),
  ADD KEY `report_id` (`report_id`);

--
-- Indexes for table `tbl_lab`
--
ALTER TABLE `tbl_lab`
  ADD PRIMARY KEY (`lab_id`);

--
-- Indexes for table `tbl_report`
--
ALTER TABLE `tbl_report`
  ADD PRIMARY KEY (`report_id`),
  ADD KEY `lab_id` (`lab_id`);

--
-- Indexes for table `tbl_sample`
--
ALTER TABLE `tbl_sample`
  ADD PRIMARY KEY (`sample_id`),
  ADD KEY `soil_type_id` (`soil_type_id`);

--
-- Indexes for table `tbl_soil_type`
--
ALTER TABLE `tbl_soil_type`
  ADD PRIMARY KEY (`soil_type_id`);

--
-- Indexes for table `tbl_test_parameter`
--
ALTER TABLE `tbl_test_parameter`
  ADD PRIMARY KEY (`test_parameter_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_analysis_result`
--
ALTER TABLE `tbl_analysis_result`
  MODIFY `analysis_result_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_lab`
--
ALTER TABLE `tbl_lab`
  MODIFY `lab_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_report`
--
ALTER TABLE `tbl_report`
  MODIFY `report_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_sample`
--
ALTER TABLE `tbl_sample`
  MODIFY `sample_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_soil_type`
--
ALTER TABLE `tbl_soil_type`
  MODIFY `soil_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_test_parameter`
--
ALTER TABLE `tbl_test_parameter`
  MODIFY `test_parameter_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_analysis_result`
--
ALTER TABLE `tbl_analysis_result`
  ADD CONSTRAINT `tbl_analysis_result_ibfk_1` FOREIGN KEY (`sample_id`) REFERENCES `tbl_sample` (`sample_id`),
  ADD CONSTRAINT `tbl_analysis_result_ibfk_2` FOREIGN KEY (`test_parameter_id`) REFERENCES `tbl_test_parameter` (`test_parameter_id`),
  ADD CONSTRAINT `tbl_analysis_result_ibfk_3` FOREIGN KEY (`report_id`) REFERENCES `tbl_report` (`report_id`);

--
-- Constraints for table `tbl_report`
--
ALTER TABLE `tbl_report`
  ADD CONSTRAINT `tbl_report_ibfk_1` FOREIGN KEY (`lab_id`) REFERENCES `tbl_lab` (`lab_id`);

--
-- Constraints for table `tbl_sample`
--
ALTER TABLE `tbl_sample`
  ADD CONSTRAINT `tbl_sample_ibfk_1` FOREIGN KEY (`soil_type_id`) REFERENCES `tbl_soil_type` (`soil_type_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
